<!--

    Copyright 2018 Scytl Secure Electronic Voting SA

    All rights reserved

    See our extended copyright notice in *file 'Copyright.txt' which is part of this source code package

-->
<assembly
	xmlns="http://maven.apache.org/plugins/maven-assembly-plugin/assembly/1.1.2"
	xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
	xsi:schemaLocation="http://maven.apache.org/plugins/maven-assembly-plugin/assembly/1.1.2 http://maven.apache.org/xsd/assembly-1.1.2.xsd">

	<id>files</id>

	<formats>
		<format>zip</format>
	</formats>

	<includeBaseDirectory>false</includeBaseDirectory>

	<fileSets>
		<fileSet>
			<directory>${project.basedir}/../key-translation-services/src/main/resources/sql/oracle</directory>
			<includes>
				<include>*.sql</include>
			</includes>
			<outputDirectory>oracle</outputDirectory>
		</fileSet>

		<fileSet>
			<directory>${project.basedir}/../kt-ws-rest/target/</directory>
			<includes>
				<include>*.war</include>
			</includes>
			<outputDirectory>webapps</outputDirectory>
		</fileSet>
  
        <fileSet>
            <directory>${project.build.directory}/lib</directory>
            <includes>
                <include>*.jar</include>
                <include>**/*.dll</include>
                <include>**/*.so</include>
                <include>**/*.so.*</include>
            </includes>
            <outputDirectory>lib</outputDirectory>
        </fileSet>
        
	</fileSets>

</assembly>
